<script >
  // Properties
  //export let data = [];
  export let current_year = 0
  export let current_continent = "all"

  const continents = ["europe", "asia", "americas", "africa"];
  let clicked = false;
  let isPaused = true;

    var timer = setInterval(() => {
      if(!isPaused) {
        if(current_year === 214) {
        current_year = 0;
      }
      current_year = current_year+1;
      clicked = true;
      }
      
    },50);

    function timer_stop() {
      isPaused = true;
      clicked = false;
    }
    function timer_start() {
      isPaused = false;
      clicked = true;
    }
    function reset_interval(){
      current_year = 0;
    }

</script>

<div class="row">
  <div class="col-4">
    {#if !clicked}
    <button type="button" class="btn btn-primary" on:click={timer_start}>Start</button>
    {:else}
    <button type="button" class="btn btn-primary" on:click={timer_stop}>Stop</button>
    {/if}
    <button type="button" class="btn btn-primary" on:click={reset_interval}>Reset</button>
</div>

<div class="col-5">
  <label class="form-label col-sm-10"> Year: {current_year +1800}
    <input type="range" class="form-range" min="0" max="214" step="1" bind:value={current_year}>
  </label>
  </div>

  <div class="col-3">
    <select id="continent-select" class="form-select" bind:value={current_continent}>
      <option value="all" selected="selected">all</option>
      <option value="europe">europe</option>
      <option value="asia">asia</option>
      <option value="americas">americas</option>
      <option value="africa">africa</option>
    </select>
  </div>
</div>

